Bug 257916 - multimedia/zoneminder: Update to 1.36.5
Summary: multimedia/zoneminder: Update to 1.36.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-08-17 18:24 UTC by Yuri Victorovich
Modified: 2021-08-21 17:12 UTC (History)
2 users (show)

See Also:
bsd: maintainer-feedback+


Attachments
patch (34.60 KB, patch)
2021-08-17 18:24 UTC, Yuri Victorovich
no flags Details | Diff
patch (34.10 KB, patch)
2021-08-21 14:26 UTC, Ivan
bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2021-08-17 18:24:00 UTC
Created attachment 227288 [details]
patch

Please test the run-time, I don't have the setup.
Comment 1 Ivan 2021-08-17 19:23:24 UTC
Thanks!
I have exactly the same problem, I've built it from master some time ago, but I don't have setup as well atm to test it properly.
I'll try to find something suitable.
Comment 2 Fernando Apesteguía freebsd_committer 2021-08-18 07:32:58 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: Simplifying title

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A:  /tmp/257916/multimedia/zoneminder/pkg-plist: [8156]: empty line found in plist.

Thanks!
Comment 3 Ivan 2021-08-21 14:26:28 UTC
Created attachment 227353 [details]
patch

fixed 3 plist issues, blank line at the end
Comment 4 Ivan 2021-08-21 14:31:05 UTC
List of changes: https://github.com/ZoneMinder/zoneminder/releases/tag/1.36.0

Thanks for a patch and Makefile simplification!  I was unaware that target directiry can be set in GH_TUPLE

Poudriere discovered 3 plist issues, so I removed 3 files that was absent in stage dir. (not sure how you've got them) and the blank line mentioned by Fernando.

Software seems to be operational in my test environment.
Comment 5 Yuri Victorovich freebsd_committer 2021-08-21 17:12:25 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2021-08-21 17:12:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1494c761437ec617137ebbdfc1ea7a3db81c47e3

commit 1494c761437ec617137ebbdfc1ea7a3db81c47e3
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-08-21 16:41:21 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-08-21 17:12:16 +0000

    multimedia/zoneminder: Update 1.34.21 -> 1.36.5

    PR:             257916
    Approved by:    bsd@abinet.ru (maintainer)

 multimedia/zoneminder/Makefile                     |  19 +-
 multimedia/zoneminder/distinfo                     |  16 +-
 .../files/patch-src_zm__local__camera.cpp (new)    |  12 +
 multimedia/zoneminder/files/pkg-message.in         |   5 +
 multimedia/zoneminder/pkg-plist                    | 366 +++++++++++++++------
 5 files changed, 304 insertions(+), 114 deletions(-)